#ifndef EFIVAR_BUILD_ENVIRONMENT
#define EFIVAR_BUILD_ENVIRONMENT
#endif /* EFIVAR_BUILD_ENVIRONMENT */

#include "fix_coverity.h"
#include <efivar/efivar.h>
#include <endian.h>

#if BYTE_ORDER == BIG_ENDIAN
#define cpu_to_be32(n) (n)
#define cpu_to_be16(n) (n)
#define cpu_to_le32(n) (__builtin_bswap32(n))
#define cpu_to_le16(n) (__builtin_bswap16(n))
#else
#define cpu_to_le32(n) (n)
#define cpu_to_le16(n) (n)
#define cpu_to_be32(n) (__builtin_bswap32(n))
#define cpu_to_be16(n) (__builtin_bswap16(n))
#endif

const efi_guid_t
	__attribute__((__visibility__ ("default")))
	efi_guid_empty = {cpu_to_le32(0x00000000),cpu_to_le16(0x0000),cpu_to_le16(0x0000),cpu_to_be16(0x0000),{0x00,0x00,0x00,0x00,0x00,0x00}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_zero = {cpu_to_le32(0x00000000),cpu_to_le16(0x0000),cpu_to_le16(0x0000),cpu_to_be16(0x0000),{0x00,0x00,0x00,0x00,0x00,0x00}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_sha384 = {cpu_to_le32(0x07533eff),cpu_to_le16(0xd09f),cpu_to_le16(0xc948),cpu_to_be16(0xf185),{0x8a,0xd5,0x6c,0x70,0x1e,0x01}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_sha1 = {cpu_to_le32(0x12a56c82),cpu_to_le16(0x10cf),cpu_to_le16(0xc94a),cpu_to_be16(0x87b1),{0xbe,0x01,0x49,0x66,0x31,0xbd}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_rsa2048_sha256_cert = {cpu_to_le32(0x147471a7),cpu_to_le16(0x16c6),cpu_to_le16(0x7749),cpu_to_be16(0x2094),{0x84,0x47,0x12,0xa7,0x35,0xbf}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_me_config = {cpu_to_le32(0x20849882),cpu_to_le16(0x6774),cpu_to_le16(0x9044),cpu_to_be16(0x5990),{0xfe,0xb4,0x48,0xdd,0x19,0x63}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_sha256 = {cpu_to_le32(0x2616c4c1),cpu_to_le16(0x4c50),cpu_to_le16(0x9240),cpu_to_be16(0xa9ac),{0x41,0xf9,0x36,0x93,0x43,0x28}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_boot_menu = {cpu_to_le32(0x2d766a12),cpu_to_le16(0x5857),cpu_to_le16(0xca4f),cpu_to_be16(0x3185),{0x20,0x1a,0x7f,0x57,0xf8,0x50}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_sha224 = {cpu_to_le32(0x33526e0b),cpu_to_le16(0x5ca6),cpu_to_le16(0xc944),cpu_to_be16(0x0794),{0xd9,0xab,0x83,0xbf,0xc8,0xbd}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_auto_created_boot_option = {cpu_to_le32(0x4eac0881),cpu_to_le16(0x119f),cpu_to_le16(0x594d),cpu_to_be16(0x0e85),{0xe2,0x1a,0x52,0x2c,0x59,0xb2}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_rsa2048_sha1 = {cpu_to_le32(0x4f44f867),cpu_to_le16(0x4387),cpu_to_le16(0xf148),cpu_to_be16(0x28a3),{0x1e,0xaa,0xb8,0x73,0x60,0x80}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_shim = {cpu_to_le32(0x50ab5d60),cpu_to_le16(0x46e0),cpu_to_le16(0x0043),cpu_to_be16(0xb6ab),{0x3d,0xd8,0x10,0xdd,0x8b,0x23}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_supermicro = {cpu_to_le32(0x5148dc26),cpu_to_le16(0x5f19),cpu_to_le16(0xe14a),cpu_to_be16(0x199a),{0xfb,0xf8,0x83,0xbb,0xb3,0x5e}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_fives = {cpu_to_le32(0x55555555),cpu_to_le16(0x5555),cpu_to_le16(0x5555),cpu_to_be16(0x5555),{0x55,0x55,0x55,0x55,0x55,0x55}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_diag = {cpu_to_le32(0x5b617e3f),cpu_to_le16(0x450d),cpu_to_le16(0x804f),cpu_to_be16(0xdc88),{0x26,0xb2,0x34,0x95,0x85,0x60}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_rescue = {cpu_to_le32(0x603f5d66),cpu_to_le16(0x3ead),cpu_to_le16(0xad4c),cpu_to_be16(0x268e),{0xdb,0x46,0xee,0xe9,0xf1,0xb5}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_global = {cpu_to_le32(0x61dfe48b),cpu_to_le16(0xca93),cpu_to_le16(0xd211),cpu_to_be16(0x0daa),{0x00,0xe0,0x98,0x03,0x2b,0x8c}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_ux_capsule = {cpu_to_le32(0x62818c3b),cpu_to_le16(0x8c18),cpu_to_le16(0xa446),cpu_to_be16(0xc9ae),{0xbe,0x43,0xf1,0xd6,0x56,0x97}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_x509_sha512 = {cpu_to_le32(0x63bf6d44),cpu_to_le16(0x0225),cpu_to_le16(0xda4c),cpu_to_be16(0xfabc),{0x24,0x65,0xd2,0xb0,0xfe,0x9d}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_setup = {cpu_to_le32(0x668b1c72),cpu_to_le16(0x6c42),cpu_to_le16(0x864e),cpu_to_be16(0x998e),{0x34,0x57,0xc4,0x6a,0xb0,0xb9}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_x509_sha384 = {cpu_to_le32(0x6e877670),cpu_to_le16(0xc280),cpu_to_le16(0xe64e),cpu_to_be16(0xd2aa),{0x28,0xb3,0x49,0xa6,0x86,0x5b}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_rsa2048_sha256 = {cpu_to_le32(0x9061b3e2),cpu_to_le16(0x9b87),cpu_to_le16(0x3d4a),cpu_to_be16(0x8dad),{0xf2,0xe7,0xbb,0xa3,0x27,0x84}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_asus = {cpu_to_le32(0x9130053b),cpu_to_le16(0x9f6c),cpu_to_le16(0xcc04),cpu_to_be16(0xacb1),{0xe2,0xa5,0x1e,0x3b,0xe5,0xf5}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_x509_sha256 = {cpu_to_le32(0x92a4d23b),cpu_to_le16(0xc096),cpu_to_le16(0x7940),cpu_to_be16(0x20b4),{0xfc,0xf9,0x8e,0xf1,0x03,0xed}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo = {cpu_to_le32(0x964ec23c),cpu_to_le16(0xc722),cpu_to_le16(0xd841),cpu_to_be16(0x6388),{0x8e,0x39,0xdc,0xdc,0xc2,0xcf}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_pkcs7_cert = {cpu_to_le32(0x9dd2af4a),cpu_to_le16(0xdf68),cpu_to_le16(0xee49),cpu_to_be16(0xa98a),{0x34,0x7d,0x37,0x56,0x65,0xa7}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_x509_cert = {cpu_to_le32(0xa159c0a5),cpu_to_le16(0xe494),cpu_to_le16(0xa74a),cpu_to_be16(0xb587),{0xab,0x15,0x5c,0x2b,0xf0,0x72}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_diag_splash = {cpu_to_le32(0xa6d9d8a7),cpu_to_le16(0xb06a),cpu_to_le16(0xeb4a),cpu_to_be16(0x9dad),{0x16,0x3e,0x59,0xa7,0xa3,0x80}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_sha512 = {cpu_to_le32(0xae0f3e09),cpu_to_le16(0xc4a6),cpu_to_le16(0x504f),cpu_to_be16(0x1b9f),{0xd4,0x1e,0x2b,0x89,0xc1,0x9a}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_2 = {cpu_to_le32(0xb6c7ac7f),cpu_to_le16(0x7f12),cpu_to_le16(0x9c4e),cpu_to_be16(0x5d9c),{0x08,0x0f,0x98,0x99,0x43,0x45}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_shell = {cpu_to_le32(0xb7d67ac5),cpu_to_le16(0x1505),cpu_to_le16(0xa840),cpu_to_be16(0x219d),{0x55,0x16,0x52,0x85,0x4e,0x37}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_microsoft = {cpu_to_le32(0xbd9afa77),cpu_to_le16(0x5903),cpu_to_le16(0x324d),cpu_to_be16(0x60bd),{0x28,0xf4,0xe7,0x8f,0x78,0x4b}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_security = {cpu_to_le32(0xcbb219d7),cpu_to_le16(0x3a3d),cpu_to_le16(0x9645),cpu_to_be16(0xbca3),{0xda,0xd0,0x0e,0x67,0x65,0x6f}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_dell = {cpu_to_le32(0xce4d5670),cpu_to_le16(0xfc9a),cpu_to_le16(0xe34e),cpu_to_be16(0xfc85),{0x94,0x96,0x49,0xd7,0xe4,0x5c}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_msg = {cpu_to_le32(0xd23878bc),cpu_to_le16(0x820f),cpu_to_le16(0x604d),cpu_to_be16(0x1683),{0xc0,0x68,0xee,0x79,0xd2,0x5b}};


const efi_guid_t
	__attribute__((__visibility__ ("default")))
	efi_guid_redhat_2 = {cpu_to_le32(0xdbed2302),cpu_to_le16(0x7990),cpu_to_le16(0x8843),cpu_to_be16(0x77af),{0x2d,0x65,0xb1,0xc3,0x5d,0x3b}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_redhat = {cpu_to_le32(0xdbed2302),cpu_to_le16(0x7990),cpu_to_le16(0x8843),cpu_to_be16(0x77af),{0x2d,0x65,0xb1,0xc3,0x5d,0x3b}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_fwupdate = {cpu_to_le32(0xdca7bb0a),cpu_to_le16(0x16e5),cpu_to_le16(0x6741),cpu_to_be16(0xf5bb),{0x4d,0x9d,0x1c,0x73,0x94,0x16}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_canonical = {cpu_to_le32(0xe40ac46d),cpu_to_le16(0xe82e),cpu_to_le16(0x4c9c),cpu_to_be16(0x14a3),{0x0f,0xc7,0xb2,0x00,0x87,0x10}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_rsa2048 = {cpu_to_le32(0xe866573c),cpu_to_le16(0x9c26),cpu_to_le16(0x344e),cpu_to_be16(0x14aa),{0xed,0x77,0x6e,0x85,0xb3,0xb6}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_external_management = {cpu_to_le32(0xed8c2e45),cpu_to_le16(0xffdf),cpu_to_le16(0x8c4b),cpu_to_be16(0x01ae),{0x51,0x18,0x86,0x2e,0x68,0x2c}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_lenovo_startup_interrupt = {cpu_to_le32(0xf4e66ef4),cpu_to_le16(0x8547),cpu_to_le16(0xa343),cpu_to_be16(0x3d92),{0x7f,0x78,0x6c,0x3c,0x84,0x79}};

const efi_guid_t
__attribute__((__visibility__ ("default")))
	efi_guid_grub = {cpu_to_le32(0xff6a3791),cpu_to_le16(0xa6cb),cpu_to_le16(0xbe42),cpu_to_be16(0x9d94),{0x06,0xfd,0xe8,0x11,0x28,0xe8}};

const uint64_t
	__attribute__((__visibility__ ("default")))
	efi_n_well_known_guids = 41;
const uint64_t
	__attribute__((__visibility__ ("default")))
	efi_n_well_known_names = 41;

struct efivar_guidname {
	efi_guid_t guid;
	char symbol[256];
	char name[256];
	char description[256];
} __attribute__((__aligned__(16)));

const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	efi_well_known_guids_[42]= {
		{.guid={.a=cpu_to_le32(0),
		        .b=cpu_to_le16(0),
		        .c=cpu_to_le16(0),
		        .d=cpu_to_be16(0x0000),
		        .e={0,0,0,0,0,0}},
		 .symbol="efi_guid_zero",
		 .name="zero",
		 .description="zeroed sentinel guid",
		},
		{.guid={.a=cpu_to_le32(0x7533eff),
		        .b=cpu_to_le16(0xd09f),
		        .c=cpu_to_le16(0xc948),
		        .d=cpu_to_be16(0xf185),
		        .e={0x8a,0xd5,0x6c,0x70,0x1e,0x1}},
		 .symbol="efi_guid_sha384",
		 .name="sha384",
		 .description="SHA-384",
		},
		{.guid={.a=cpu_to_le32(0x12a56c82),
		        .b=cpu_to_le16(0x10cf),
		        .c=cpu_to_le16(0xc94a),
		        .d=cpu_to_be16(0x87b1),
		        .e={0xbe,0x1,0x49,0x66,0x31,0xbd}},
		 .symbol="efi_guid_sha1",
		 .name="sha1",
		 .description="SHA-1",
		},
		{.guid={.a=cpu_to_le32(0x147471a7),
		        .b=cpu_to_le16(0x16c6),
		        .c=cpu_to_le16(0x7749),
		        .d=cpu_to_be16(0x2094),
		        .e={0x84,0x47,0x12,0xa7,0x35,0xbf}},
		 .symbol="efi_guid_rsa2048_sha256_cert",
		 .name="rsa2048_sha256_cert",
		 .description="RSA-2048 key with SHA-256 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x20849882),
		        .b=cpu_to_le16(0x6774),
		        .c=cpu_to_le16(0x9044),
		        .d=cpu_to_be16(0x5990),
		        .e={0xfe,0xb4,0x48,0xdd,0x19,0x63}},
		 .symbol="efi_guid_lenovo_me_config",
		 .name="lenovo_me_config",
		 .description="Lenovo ME Configuration Menu",
		},
		{.guid={.a=cpu_to_le32(0x2616c4c1),
		        .b=cpu_to_le16(0x4c50),
		        .c=cpu_to_le16(0x9240),
		        .d=cpu_to_be16(0xa9ac),
		        .e={0x41,0xf9,0x36,0x93,0x43,0x28}},
		 .symbol="efi_guid_sha256",
		 .name="sha256",
		 .description="SHA-256",
		},
		{.guid={.a=cpu_to_le32(0x2d766a12),
		        .b=cpu_to_le16(0x5857),
		        .c=cpu_to_le16(0xca4f),
		        .d=cpu_to_be16(0x3185),
		        .e={0x20,0x1a,0x7f,0x57,0xf8,0x50}},
		 .symbol="efi_guid_lenovo_boot_menu",
		 .name="lenovo_boot_menu",
		 .description="Lenovo Boot Menu",
		},
		{.guid={.a=cpu_to_le32(0x33526e0b),
		        .b=cpu_to_le16(0x5ca6),
		        .c=cpu_to_le16(0xc944),
		        .d=cpu_to_be16(0x0794),
		        .e={0xd9,0xab,0x83,0xbf,0xc8,0xbd}},
		 .symbol="efi_guid_sha224",
		 .name="sha224",
		 .description="SHA-224 hash",
		},
		{.guid={.a=cpu_to_le32(0x4eac0881),
		        .b=cpu_to_le16(0x119f),
		        .c=cpu_to_le16(0x594d),
		        .d=cpu_to_be16(0x0e85),
		        .e={0xe2,0x1a,0x52,0x2c,0x59,0xb2}},
		 .symbol="efi_guid_auto_created_boot_option",
		 .name="auto_created_boot_option",
		 .description="Automatically Created Boot Option",
		},
		{.guid={.a=cpu_to_le32(0x4f44f867),
		        .b=cpu_to_le16(0x4387),
		        .c=cpu_to_le16(0xf148),
		        .d=cpu_to_be16(0x28a3),
		        .e={0x1e,0xaa,0xb8,0x73,0x60,0x80}},
		 .symbol="efi_guid_rsa2048_sha1",
		 .name="rsa2048_sha1",
		 .description="RSA-2048 signature of a SHA-1 hash",
		},
		{.guid={.a=cpu_to_le32(0x50ab5d60),
		        .b=cpu_to_le16(0x46e0),
		        .c=cpu_to_le16(0x43),
		        .d=cpu_to_be16(0xb6ab),
		        .e={0x3d,0xd8,0x10,0xdd,0x8b,0x23}},
		 .symbol="efi_guid_shim",
		 .name="shim",
		 .description="shim",
		},
		{.guid={.a=cpu_to_le32(0x5148dc26),
		        .b=cpu_to_le16(0x5f19),
		        .c=cpu_to_le16(0xe14a),
		        .d=cpu_to_be16(0x199a),
		        .e={0xfb,0xf8,0x83,0xbb,0xb3,0x5e}},
		 .symbol="efi_guid_supermicro",
		 .name="supermicro",
		 .description="Super Micro",
		},
		{.guid={.a=cpu_to_le32(0x55555555),
		        .b=cpu_to_le16(0x5555),
		        .c=cpu_to_le16(0x5555),
		        .d=cpu_to_be16(0x5555),
		        .e={0x55,0x55,0x55,0x55,0x55,0x55}},
		 .symbol="efi_guid_fives",
		 .name="fives",
		 .description="All Fives Test Data",
		},
		{.guid={.a=cpu_to_le32(0x5b617e3f),
		        .b=cpu_to_le16(0x450d),
		        .c=cpu_to_le16(0x804f),
		        .d=cpu_to_be16(0xdc88),
		        .e={0x26,0xb2,0x34,0x95,0x85,0x60}},
		 .symbol="efi_guid_lenovo_diag",
		 .name="lenovo_diag",
		 .description="Lenovo Diagnostics",
		},
		{.guid={.a=cpu_to_le32(0x603f5d66),
		        .b=cpu_to_le16(0x3ead),
		        .c=cpu_to_le16(0xad4c),
		        .d=cpu_to_be16(0x268e),
		        .e={0xdb,0x46,0xee,0xe9,0xf1,0xb5}},
		 .symbol="efi_guid_lenovo_rescue",
		 .name="lenovo_rescue",
		 .description="Lenovo Rescue and Recovery",
		},
		{.guid={.a=cpu_to_le32(0x61dfe48b),
		        .b=cpu_to_le16(0xca93),
		        .c=cpu_to_le16(0xd211),
		        .d=cpu_to_be16(0x0daa),
		        .e={0,0xe0,0x98,0x3,0x2b,0x8c}},
		 .symbol="efi_guid_global",
		 .name="global",
		 .description="EFI Global Variable",
		},
		{.guid={.a=cpu_to_le32(0x62818c3b),
		        .b=cpu_to_le16(0x8c18),
		        .c=cpu_to_le16(0xa446),
		        .d=cpu_to_be16(0xc9ae),
		        .e={0xbe,0x43,0xf1,0xd6,0x56,0x97}},
		 .symbol="efi_guid_ux_capsule",
		 .name="ux_capsule",
		 .description="Firmware update localized text image",
		},
		{.guid={.a=cpu_to_le32(0x63bf6d44),
		        .b=cpu_to_le16(0x225),
		        .c=cpu_to_le16(0xda4c),
		        .d=cpu_to_be16(0xfabc),
		        .e={0x24,0x65,0xd2,0xb0,0xfe,0x9d}},
		 .symbol="efi_guid_x509_sha512",
		 .name="x509_sha512",
		 .description="SHA-512 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x668b1c72),
		        .b=cpu_to_le16(0x6c42),
		        .c=cpu_to_le16(0x864e),
		        .d=cpu_to_be16(0x998e),
		        .e={0x34,0x57,0xc4,0x6a,0xb0,0xb9}},
		 .symbol="efi_guid_lenovo_setup",
		 .name="lenovo_setup",
		 .description="Lenovo Firmware Setup",
		},
		{.guid={.a=cpu_to_le32(0x6e877670),
		        .b=cpu_to_le16(0xc280),
		        .c=cpu_to_le16(0xe64e),
		        .d=cpu_to_be16(0xd2aa),
		        .e={0x28,0xb3,0x49,0xa6,0x86,0x5b}},
		 .symbol="efi_guid_x509_sha384",
		 .name="x509_sha384",
		 .description="SHA-384 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x9061b3e2),
		        .b=cpu_to_le16(0x9b87),
		        .c=cpu_to_le16(0x3d4a),
		        .d=cpu_to_be16(0x8dad),
		        .e={0xf2,0xe7,0xbb,0xa3,0x27,0x84}},
		 .symbol="efi_guid_rsa2048_sha256",
		 .name="rsa2048_sha256",
		 .description="RSA-2048 signature of a SHA-256 hash",
		},
		{.guid={.a=cpu_to_le32(0x9130053b),
		        .b=cpu_to_le16(0x9f6c),
		        .c=cpu_to_le16(0xcc04),
		        .d=cpu_to_be16(0xacb1),
		        .e={0xe2,0xa5,0x1e,0x3b,0xe5,0xf5}},
		 .symbol="efi_guid_asus",
		 .name="asus",
		 .description="Asus",
		},
		{.guid={.a=cpu_to_le32(0x92a4d23b),
		        .b=cpu_to_le16(0xc096),
		        .c=cpu_to_le16(0x7940),
		        .d=cpu_to_be16(0x20b4),
		        .e={0xfc,0xf9,0x8e,0xf1,0x3,0xed}},
		 .symbol="efi_guid_x509_sha256",
		 .name="x509_sha256",
		 .description="SHA-256 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x964ec23c),
		        .b=cpu_to_le16(0xc722),
		        .c=cpu_to_le16(0xd841),
		        .d=cpu_to_be16(0x6388),
		        .e={0x8e,0x39,0xdc,0xdc,0xc2,0xcf}},
		 .symbol="efi_guid_lenovo",
		 .name="lenovo",
		 .description="Lenovo",
		},
		{.guid={.a=cpu_to_le32(0x9dd2af4a),
		        .b=cpu_to_le16(0xdf68),
		        .c=cpu_to_le16(0xee49),
		        .d=cpu_to_be16(0xa98a),
		        .e={0x34,0x7d,0x37,0x56,0x65,0xa7}},
		 .symbol="efi_guid_pkcs7_cert",
		 .name="pkcs7_cert",
		 .description="PKCS7 Certificate",
		},
		{.guid={.a=cpu_to_le32(0xa159c0a5),
		        .b=cpu_to_le16(0xe494),
		        .c=cpu_to_le16(0xa74a),
		        .d=cpu_to_be16(0xb587),
		        .e={0xab,0x15,0x5c,0x2b,0xf0,0x72}},
		 .symbol="efi_guid_x509_cert",
		 .name="x509_cert",
		 .description="X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0xa6d9d8a7),
		        .b=cpu_to_le16(0xb06a),
		        .c=cpu_to_le16(0xeb4a),
		        .d=cpu_to_be16(0x9dad),
		        .e={0x16,0x3e,0x59,0xa7,0xa3,0x80}},
		 .symbol="efi_guid_lenovo_diag_splash",
		 .name="lenovo_diag_splash",
		 .description="Lenovo Diagnostic Splash Screen",
		},
		{.guid={.a=cpu_to_le32(0xae0f3e09),
		        .b=cpu_to_le16(0xc4a6),
		        .c=cpu_to_le16(0x504f),
		        .d=cpu_to_be16(0x1b9f),
		        .e={0xd4,0x1e,0x2b,0x89,0xc1,0x9a}},
		 .symbol="efi_guid_sha512",
		 .name="sha512",
		 .description="SHA-512 hash",
		},
		{.guid={.a=cpu_to_le32(0xb6c7ac7f),
		        .b=cpu_to_le16(0x7f12),
		        .c=cpu_to_le16(0x9c4e),
		        .d=cpu_to_be16(0x5d9c),
		        .e={0x8,0xf,0x98,0x99,0x43,0x45}},
		 .symbol="efi_guid_lenovo_2",
		 .name="lenovo_2",
		 .description="Lenovo",
		},
		{.guid={.a=cpu_to_le32(0xb7d67ac5),
		        .b=cpu_to_le16(0x1505),
		        .c=cpu_to_le16(0xa840),
		        .d=cpu_to_be16(0x219d),
		        .e={0x55,0x16,0x52,0x85,0x4e,0x37}},
		 .symbol="efi_guid_shell",
		 .name="shell",
		 .description="EFI Shell",
		},
		{.guid={.a=cpu_to_le32(0xbd9afa77),
		        .b=cpu_to_le16(0x5903),
		        .c=cpu_to_le16(0x324d),
		        .d=cpu_to_be16(0x60bd),
		        .e={0x28,0xf4,0xe7,0x8f,0x78,0x4b}},
		 .symbol="efi_guid_microsoft",
		 .name="microsoft",
		 .description="Microsoft",
		},
		{.guid={.a=cpu_to_le32(0xcbb219d7),
		        .b=cpu_to_le16(0x3a3d),
		        .c=cpu_to_le16(0x9645),
		        .d=cpu_to_be16(0xbca3),
		        .e={0xda,0xd0,0xe,0x67,0x65,0x6f}},
		 .symbol="efi_guid_security",
		 .name="security",
		 .description="EFI Security Database",
		},
		{.guid={.a=cpu_to_le32(0xce4d5670),
		        .b=cpu_to_le16(0xfc9a),
		        .c=cpu_to_le16(0xe34e),
		        .d=cpu_to_be16(0xfc85),
		        .e={0x94,0x96,0x49,0xd7,0xe4,0x5c}},
		 .symbol="efi_guid_dell",
		 .name="dell",
		 .description="Dell",
		},
		{.guid={.a=cpu_to_le32(0xd23878bc),
		        .b=cpu_to_le16(0x820f),
		        .c=cpu_to_le16(0x604d),
		        .d=cpu_to_be16(0x1683),
		        .e={0xc0,0x68,0xee,0x79,0xd2,0x5b}},
		 .symbol="efi_guid_lenovo_msg",
		 .name="lenovo_msg",
		 .description="Lenovo Vendor Message Device",
		},
		{.guid={.a=cpu_to_le32(0xdbed2302),
		        .b=cpu_to_le16(0x7990),
		        .c=cpu_to_le16(0x8843),
		        .d=cpu_to_be16(0x77af),
		        .e={0x2d,0x65,0xb1,0xc3,0x5d,0x3b}},
		 .symbol="efi_guid_redhat",
		 .name="redhat",
		 .description="Red Hat",
		},
		{.guid={.a=cpu_to_le32(0xdca7bb0a),
		        .b=cpu_to_le16(0x16e5),
		        .c=cpu_to_le16(0x6741),
		        .d=cpu_to_be16(0xf5bb),
		        .e={0x4d,0x9d,0x1c,0x73,0x94,0x16}},
		 .symbol="efi_guid_fwupdate",
		 .name="fwupdate",
		 .description="Linux Firmware Update Tool",
		},
		{.guid={.a=cpu_to_le32(0xe40ac46d),
		        .b=cpu_to_le16(0xe82e),
		        .c=cpu_to_le16(0x4c9c),
		        .d=cpu_to_be16(0x14a3),
		        .e={0xf,0xc7,0xb2,0,0x87,0x10}},
		 .symbol="efi_guid_canonical",
		 .name="canonical",
		 .description="Canonical",
		},
		{.guid={.a=cpu_to_le32(0xe866573c),
		        .b=cpu_to_le16(0x9c26),
		        .c=cpu_to_le16(0x344e),
		        .d=cpu_to_be16(0x14aa),
		        .e={0xed,0x77,0x6e,0x85,0xb3,0xb6}},
		 .symbol="efi_guid_rsa2048",
		 .name="rsa2048",
		 .description="RSA 2048 pubkey",
		},
		{.guid={.a=cpu_to_le32(0xed8c2e45),
		        .b=cpu_to_le16(0xffdf),
		        .c=cpu_to_le16(0x8c4b),
		        .d=cpu_to_be16(0x01ae),
		        .e={0x51,0x18,0x86,0x2e,0x68,0x2c}},
		 .symbol="efi_guid_external_management",
		 .name="external_management",
		 .description="External Management Mechanism",
		},
		{.guid={.a=cpu_to_le32(0xf4e66ef4),
		        .b=cpu_to_le16(0x8547),
		        .c=cpu_to_le16(0xa343),
		        .d=cpu_to_be16(0x3d92),
		        .e={0x7f,0x78,0x6c,0x3c,0x84,0x79}},
		 .symbol="efi_guid_lenovo_startup_interrupt",
		 .name="lenovo_startup_interrupt",
		 .description="Lenovo Startup Interrupt Menu",
		},
		{.guid={.a=cpu_to_le32(0xff6a3791),
		        .b=cpu_to_le16(0xa6cb),
		        .c=cpu_to_le16(0xbe42),
		        .d=cpu_to_be16(0x9d94),
		        .e={0x6,0xfd,0xe8,0x11,0x28,0xe8}},
		 .symbol="efi_guid_grub",
		 .name="grub",
		 .description="GRUB",
		},
		{.guid={.a=cpu_to_le32(0xffffffff),
		        .b=cpu_to_le16(0xffff),
		        .c=cpu_to_le16(0xffff),
		        .d=cpu_to_be16(0xffff),
		        .e={0xff,0xff,0xff,0xff,0xff,0xff}},
		 .symbol="efi_guid_zzignore-this-guid",
		 .name="zzignore-this-guid",
		 .description="zzignore-this-guid",
		},
};
const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	* const efi_well_known_guids = efi_well_known_guids_;
const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	* const efi_well_known_guids_end = efi_well_known_guids_
	+ 41;
const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	efi_well_known_names_[42]= {
		{.guid={.a=cpu_to_le32(0x9130053b),
		        .b=cpu_to_le16(0x9f6c),
		        .c=cpu_to_le16(0xcc04),
		        .d=cpu_to_be16(0xacb1),
		        .e={0xe2,0xa5,0x1e,0x3b,0xe5,0xf5}},
		 .symbol="efi_guid_asus",
		 .name="asus",
		 .description="Asus",
		},
		{.guid={.a=cpu_to_le32(0x4eac0881),
		        .b=cpu_to_le16(0x119f),
		        .c=cpu_to_le16(0x594d),
		        .d=cpu_to_be16(0x0e85),
		        .e={0xe2,0x1a,0x52,0x2c,0x59,0xb2}},
		 .symbol="efi_guid_auto_created_boot_option",
		 .name="auto_created_boot_option",
		 .description="Automatically Created Boot Option",
		},
		{.guid={.a=cpu_to_le32(0xe40ac46d),
		        .b=cpu_to_le16(0xe82e),
		        .c=cpu_to_le16(0x4c9c),
		        .d=cpu_to_be16(0x14a3),
		        .e={0xf,0xc7,0xb2,0,0x87,0x10}},
		 .symbol="efi_guid_canonical",
		 .name="canonical",
		 .description="Canonical",
		},
		{.guid={.a=cpu_to_le32(0xce4d5670),
		        .b=cpu_to_le16(0xfc9a),
		        .c=cpu_to_le16(0xe34e),
		        .d=cpu_to_be16(0xfc85),
		        .e={0x94,0x96,0x49,0xd7,0xe4,0x5c}},
		 .symbol="efi_guid_dell",
		 .name="dell",
		 .description="Dell",
		},
		{.guid={.a=cpu_to_le32(0xed8c2e45),
		        .b=cpu_to_le16(0xffdf),
		        .c=cpu_to_le16(0x8c4b),
		        .d=cpu_to_be16(0x01ae),
		        .e={0x51,0x18,0x86,0x2e,0x68,0x2c}},
		 .symbol="efi_guid_external_management",
		 .name="external_management",
		 .description="External Management Mechanism",
		},
		{.guid={.a=cpu_to_le32(0x55555555),
		        .b=cpu_to_le16(0x5555),
		        .c=cpu_to_le16(0x5555),
		        .d=cpu_to_be16(0x5555),
		        .e={0x55,0x55,0x55,0x55,0x55,0x55}},
		 .symbol="efi_guid_fives",
		 .name="fives",
		 .description="All Fives Test Data",
		},
		{.guid={.a=cpu_to_le32(0xdca7bb0a),
		        .b=cpu_to_le16(0x16e5),
		        .c=cpu_to_le16(0x6741),
		        .d=cpu_to_be16(0xf5bb),
		        .e={0x4d,0x9d,0x1c,0x73,0x94,0x16}},
		 .symbol="efi_guid_fwupdate",
		 .name="fwupdate",
		 .description="Linux Firmware Update Tool",
		},
		{.guid={.a=cpu_to_le32(0x61dfe48b),
		        .b=cpu_to_le16(0xca93),
		        .c=cpu_to_le16(0xd211),
		        .d=cpu_to_be16(0x0daa),
		        .e={0,0xe0,0x98,0x3,0x2b,0x8c}},
		 .symbol="efi_guid_global",
		 .name="global",
		 .description="EFI Global Variable",
		},
		{.guid={.a=cpu_to_le32(0xff6a3791),
		        .b=cpu_to_le16(0xa6cb),
		        .c=cpu_to_le16(0xbe42),
		        .d=cpu_to_be16(0x9d94),
		        .e={0x6,0xfd,0xe8,0x11,0x28,0xe8}},
		 .symbol="efi_guid_grub",
		 .name="grub",
		 .description="GRUB",
		},
		{.guid={.a=cpu_to_le32(0x964ec23c),
		        .b=cpu_to_le16(0xc722),
		        .c=cpu_to_le16(0xd841),
		        .d=cpu_to_be16(0x6388),
		        .e={0x8e,0x39,0xdc,0xdc,0xc2,0xcf}},
		 .symbol="efi_guid_lenovo",
		 .name="lenovo",
		 .description="Lenovo",
		},
		{.guid={.a=cpu_to_le32(0xb6c7ac7f),
		        .b=cpu_to_le16(0x7f12),
		        .c=cpu_to_le16(0x9c4e),
		        .d=cpu_to_be16(0x5d9c),
		        .e={0x8,0xf,0x98,0x99,0x43,0x45}},
		 .symbol="efi_guid_lenovo_2",
		 .name="lenovo_2",
		 .description="Lenovo",
		},
		{.guid={.a=cpu_to_le32(0x2d766a12),
		        .b=cpu_to_le16(0x5857),
		        .c=cpu_to_le16(0xca4f),
		        .d=cpu_to_be16(0x3185),
		        .e={0x20,0x1a,0x7f,0x57,0xf8,0x50}},
		 .symbol="efi_guid_lenovo_boot_menu",
		 .name="lenovo_boot_menu",
		 .description="Lenovo Boot Menu",
		},
		{.guid={.a=cpu_to_le32(0x5b617e3f),
		        .b=cpu_to_le16(0x450d),
		        .c=cpu_to_le16(0x804f),
		        .d=cpu_to_be16(0xdc88),
		        .e={0x26,0xb2,0x34,0x95,0x85,0x60}},
		 .symbol="efi_guid_lenovo_diag",
		 .name="lenovo_diag",
		 .description="Lenovo Diagnostics",
		},
		{.guid={.a=cpu_to_le32(0xa6d9d8a7),
		        .b=cpu_to_le16(0xb06a),
		        .c=cpu_to_le16(0xeb4a),
		        .d=cpu_to_be16(0x9dad),
		        .e={0x16,0x3e,0x59,0xa7,0xa3,0x80}},
		 .symbol="efi_guid_lenovo_diag_splash",
		 .name="lenovo_diag_splash",
		 .description="Lenovo Diagnostic Splash Screen",
		},
		{.guid={.a=cpu_to_le32(0x20849882),
		        .b=cpu_to_le16(0x6774),
		        .c=cpu_to_le16(0x9044),
		        .d=cpu_to_be16(0x5990),
		        .e={0xfe,0xb4,0x48,0xdd,0x19,0x63}},
		 .symbol="efi_guid_lenovo_me_config",
		 .name="lenovo_me_config",
		 .description="Lenovo ME Configuration Menu",
		},
		{.guid={.a=cpu_to_le32(0xd23878bc),
		        .b=cpu_to_le16(0x820f),
		        .c=cpu_to_le16(0x604d),
		        .d=cpu_to_be16(0x1683),
		        .e={0xc0,0x68,0xee,0x79,0xd2,0x5b}},
		 .symbol="efi_guid_lenovo_msg",
		 .name="lenovo_msg",
		 .description="Lenovo Vendor Message Device",
		},
		{.guid={.a=cpu_to_le32(0x603f5d66),
		        .b=cpu_to_le16(0x3ead),
		        .c=cpu_to_le16(0xad4c),
		        .d=cpu_to_be16(0x268e),
		        .e={0xdb,0x46,0xee,0xe9,0xf1,0xb5}},
		 .symbol="efi_guid_lenovo_rescue",
		 .name="lenovo_rescue",
		 .description="Lenovo Rescue and Recovery",
		},
		{.guid={.a=cpu_to_le32(0x668b1c72),
		        .b=cpu_to_le16(0x6c42),
		        .c=cpu_to_le16(0x864e),
		        .d=cpu_to_be16(0x998e),
		        .e={0x34,0x57,0xc4,0x6a,0xb0,0xb9}},
		 .symbol="efi_guid_lenovo_setup",
		 .name="lenovo_setup",
		 .description="Lenovo Firmware Setup",
		},
		{.guid={.a=cpu_to_le32(0xf4e66ef4),
		        .b=cpu_to_le16(0x8547),
		        .c=cpu_to_le16(0xa343),
		        .d=cpu_to_be16(0x3d92),
		        .e={0x7f,0x78,0x6c,0x3c,0x84,0x79}},
		 .symbol="efi_guid_lenovo_startup_interrupt",
		 .name="lenovo_startup_interrupt",
		 .description="Lenovo Startup Interrupt Menu",
		},
		{.guid={.a=cpu_to_le32(0xbd9afa77),
		        .b=cpu_to_le16(0x5903),
		        .c=cpu_to_le16(0x324d),
		        .d=cpu_to_be16(0x60bd),
		        .e={0x28,0xf4,0xe7,0x8f,0x78,0x4b}},
		 .symbol="efi_guid_microsoft",
		 .name="microsoft",
		 .description="Microsoft",
		},
		{.guid={.a=cpu_to_le32(0x9dd2af4a),
		        .b=cpu_to_le16(0xdf68),
		        .c=cpu_to_le16(0xee49),
		        .d=cpu_to_be16(0xa98a),
		        .e={0x34,0x7d,0x37,0x56,0x65,0xa7}},
		 .symbol="efi_guid_pkcs7_cert",
		 .name="pkcs7_cert",
		 .description="PKCS7 Certificate",
		},
		{.guid={.a=cpu_to_le32(0xdbed2302),
		        .b=cpu_to_le16(0x7990),
		        .c=cpu_to_le16(0x8843),
		        .d=cpu_to_be16(0x77af),
		        .e={0x2d,0x65,0xb1,0xc3,0x5d,0x3b}},
		 .symbol="efi_guid_redhat",
		 .name="redhat",
		 .description="Red Hat",
		},
		{.guid={.a=cpu_to_le32(0xe866573c),
		        .b=cpu_to_le16(0x9c26),
		        .c=cpu_to_le16(0x344e),
		        .d=cpu_to_be16(0x14aa),
		        .e={0xed,0x77,0x6e,0x85,0xb3,0xb6}},
		 .symbol="efi_guid_rsa2048",
		 .name="rsa2048",
		 .description="RSA 2048 pubkey",
		},
		{.guid={.a=cpu_to_le32(0x4f44f867),
		        .b=cpu_to_le16(0x4387),
		        .c=cpu_to_le16(0xf148),
		        .d=cpu_to_be16(0x28a3),
		        .e={0x1e,0xaa,0xb8,0x73,0x60,0x80}},
		 .symbol="efi_guid_rsa2048_sha1",
		 .name="rsa2048_sha1",
		 .description="RSA-2048 signature of a SHA-1 hash",
		},
		{.guid={.a=cpu_to_le32(0x9061b3e2),
		        .b=cpu_to_le16(0x9b87),
		        .c=cpu_to_le16(0x3d4a),
		        .d=cpu_to_be16(0x8dad),
		        .e={0xf2,0xe7,0xbb,0xa3,0x27,0x84}},
		 .symbol="efi_guid_rsa2048_sha256",
		 .name="rsa2048_sha256",
		 .description="RSA-2048 signature of a SHA-256 hash",
		},
		{.guid={.a=cpu_to_le32(0x147471a7),
		        .b=cpu_to_le16(0x16c6),
		        .c=cpu_to_le16(0x7749),
		        .d=cpu_to_be16(0x2094),
		        .e={0x84,0x47,0x12,0xa7,0x35,0xbf}},
		 .symbol="efi_guid_rsa2048_sha256_cert",
		 .name="rsa2048_sha256_cert",
		 .description="RSA-2048 key with SHA-256 Certificate",
		},
		{.guid={.a=cpu_to_le32(0xcbb219d7),
		        .b=cpu_to_le16(0x3a3d),
		        .c=cpu_to_le16(0x9645),
		        .d=cpu_to_be16(0xbca3),
		        .e={0xda,0xd0,0xe,0x67,0x65,0x6f}},
		 .symbol="efi_guid_security",
		 .name="security",
		 .description="EFI Security Database",
		},
		{.guid={.a=cpu_to_le32(0x12a56c82),
		        .b=cpu_to_le16(0x10cf),
		        .c=cpu_to_le16(0xc94a),
		        .d=cpu_to_be16(0x87b1),
		        .e={0xbe,0x1,0x49,0x66,0x31,0xbd}},
		 .symbol="efi_guid_sha1",
		 .name="sha1",
		 .description="SHA-1",
		},
		{.guid={.a=cpu_to_le32(0x33526e0b),
		        .b=cpu_to_le16(0x5ca6),
		        .c=cpu_to_le16(0xc944),
		        .d=cpu_to_be16(0x0794),
		        .e={0xd9,0xab,0x83,0xbf,0xc8,0xbd}},
		 .symbol="efi_guid_sha224",
		 .name="sha224",
		 .description="SHA-224 hash",
		},
		{.guid={.a=cpu_to_le32(0x2616c4c1),
		        .b=cpu_to_le16(0x4c50),
		        .c=cpu_to_le16(0x9240),
		        .d=cpu_to_be16(0xa9ac),
		        .e={0x41,0xf9,0x36,0x93,0x43,0x28}},
		 .symbol="efi_guid_sha256",
		 .name="sha256",
		 .description="SHA-256",
		},
		{.guid={.a=cpu_to_le32(0x7533eff),
		        .b=cpu_to_le16(0xd09f),
		        .c=cpu_to_le16(0xc948),
		        .d=cpu_to_be16(0xf185),
		        .e={0x8a,0xd5,0x6c,0x70,0x1e,0x1}},
		 .symbol="efi_guid_sha384",
		 .name="sha384",
		 .description="SHA-384",
		},
		{.guid={.a=cpu_to_le32(0xae0f3e09),
		        .b=cpu_to_le16(0xc4a6),
		        .c=cpu_to_le16(0x504f),
		        .d=cpu_to_be16(0x1b9f),
		        .e={0xd4,0x1e,0x2b,0x89,0xc1,0x9a}},
		 .symbol="efi_guid_sha512",
		 .name="sha512",
		 .description="SHA-512 hash",
		},
		{.guid={.a=cpu_to_le32(0xb7d67ac5),
		        .b=cpu_to_le16(0x1505),
		        .c=cpu_to_le16(0xa840),
		        .d=cpu_to_be16(0x219d),
		        .e={0x55,0x16,0x52,0x85,0x4e,0x37}},
		 .symbol="efi_guid_shell",
		 .name="shell",
		 .description="EFI Shell",
		},
		{.guid={.a=cpu_to_le32(0x50ab5d60),
		        .b=cpu_to_le16(0x46e0),
		        .c=cpu_to_le16(0x43),
		        .d=cpu_to_be16(0xb6ab),
		        .e={0x3d,0xd8,0x10,0xdd,0x8b,0x23}},
		 .symbol="efi_guid_shim",
		 .name="shim",
		 .description="shim",
		},
		{.guid={.a=cpu_to_le32(0x5148dc26),
		        .b=cpu_to_le16(0x5f19),
		        .c=cpu_to_le16(0xe14a),
		        .d=cpu_to_be16(0x199a),
		        .e={0xfb,0xf8,0x83,0xbb,0xb3,0x5e}},
		 .symbol="efi_guid_supermicro",
		 .name="supermicro",
		 .description="Super Micro",
		},
		{.guid={.a=cpu_to_le32(0x62818c3b),
		        .b=cpu_to_le16(0x8c18),
		        .c=cpu_to_le16(0xa446),
		        .d=cpu_to_be16(0xc9ae),
		        .e={0xbe,0x43,0xf1,0xd6,0x56,0x97}},
		 .symbol="efi_guid_ux_capsule",
		 .name="ux_capsule",
		 .description="Firmware update localized text image",
		},
		{.guid={.a=cpu_to_le32(0xa159c0a5),
		        .b=cpu_to_le16(0xe494),
		        .c=cpu_to_le16(0xa74a),
		        .d=cpu_to_be16(0xb587),
		        .e={0xab,0x15,0x5c,0x2b,0xf0,0x72}},
		 .symbol="efi_guid_x509_cert",
		 .name="x509_cert",
		 .description="X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x92a4d23b),
		        .b=cpu_to_le16(0xc096),
		        .c=cpu_to_le16(0x7940),
		        .d=cpu_to_be16(0x20b4),
		        .e={0xfc,0xf9,0x8e,0xf1,0x3,0xed}},
		 .symbol="efi_guid_x509_sha256",
		 .name="x509_sha256",
		 .description="SHA-256 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x6e877670),
		        .b=cpu_to_le16(0xc280),
		        .c=cpu_to_le16(0xe64e),
		        .d=cpu_to_be16(0xd2aa),
		        .e={0x28,0xb3,0x49,0xa6,0x86,0x5b}},
		 .symbol="efi_guid_x509_sha384",
		 .name="x509_sha384",
		 .description="SHA-384 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0x63bf6d44),
		        .b=cpu_to_le16(0x225),
		        .c=cpu_to_le16(0xda4c),
		        .d=cpu_to_be16(0xfabc),
		        .e={0x24,0x65,0xd2,0xb0,0xfe,0x9d}},
		 .symbol="efi_guid_x509_sha512",
		 .name="x509_sha512",
		 .description="SHA-512 hash of X.509 Certificate",
		},
		{.guid={.a=cpu_to_le32(0),
		        .b=cpu_to_le16(0),
		        .c=cpu_to_le16(0),
		        .d=cpu_to_be16(0x0000),
		        .e={0,0,0,0,0,0}},
		 .symbol="efi_guid_zero",
		 .name="zero",
		 .description="zeroed sentinel guid",
		},
		{.guid={.a=cpu_to_le32(0xffffffff),
		        .b=cpu_to_le16(0xffff),
		        .c=cpu_to_le16(0xffff),
		        .d=cpu_to_be16(0xffff),
		        .e={0xff,0xff,0xff,0xff,0xff,0xff}},
		 .symbol="efi_guid_zzignore-this-guid",
		 .name="zzignore-this-guid",
		 .description="zzignore-this-guid",
		},
};
const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	* const efi_well_known_names = efi_well_known_names_;
const struct efivar_guidname
	__attribute__((__visibility__ ("default")))
	* const efi_well_known_names_end = efi_well_known_names_
	+ 41;
